Package org.optaplanner.core.config.heuristic.selector.entity.pillar

## Class PillarSelectorConfig

- java.lang.Object
- - org.optaplanner.core.config.AbstractConfig<Config_>
  - - org.optaplanner.core.config.heuristic.selector.SelectorConfig<PillarSelectorConfig>
    - - org.optaplanner.core.config.heuristic.selector.entity.pillar.PillarSelectorConfig

-     public class PillarSelectorConfig
      extends SelectorConfig<PillarSelectorConfig>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected EntitySelectorConfig` | `entitySelectorConfig` |
    `protected Integer` | `maximumSubPillarSize` |
    `protected Integer` | `minimumSubPillarSize` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PillarSelectorConfig()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PillarSelectorConfig` | `copyConfig()` | Typically implemented by constructing a new instance and calling `AbstractConfig.inherit(AbstractConfig)` on it
    `EntitySelectorConfig` | `getEntitySelectorConfig()` |
    `Integer` | `getMaximumSubPillarSize()` |
    `Integer` | `getMinimumSubPillarSize()` |
    `PillarSelectorConfig` | `inherit​(PillarSelectorConfig inheritedConfig)` | Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).
    `void` | `setEntitySelectorConfig​(EntitySelectorConfig entitySelectorConfig)` |
    `void` | `setMaximumSubPillarSize​(Integer maximumSubPillarSize)` |
    `void` | `setMinimumSubPillarSize​(Integer minimumSubPillarSize)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### entitySelectorConfig

          protected EntitySelectorConfig entitySelectorConfig

    - #### minimumSubPillarSize

          protected Integer minimumSubPillarSize

    - #### maximumSubPillarSize

          protected Integer maximumSubPillarSize

  - ### Constructor Detail

    - #### PillarSelectorConfig

          public PillarSelectorConfig()

  - ### Method Detail

    - #### getEntitySelectorConfig

          public EntitySelectorConfig getEntitySelectorConfig()

    - #### setEntitySelectorConfig

          public void setEntitySelectorConfig​(EntitySelectorConfig entitySelectorConfig)

    - #### getMinimumSubPillarSize

          public Integer getMinimumSubPillarSize()

    - #### setMinimumSubPillarSize

          public void setMinimumSubPillarSize​(Integer minimumSubPillarSize)

    - #### getMaximumSubPillarSize

          public Integer getMaximumSubPillarSize()

    - #### setMaximumSubPillarSize

          public void setMaximumSubPillarSize​(Integer maximumSubPillarSize)

    - #### inherit

          public PillarSelectorConfig inherit​(PillarSelectorConfig inheritedConfig)

      Description copied from class: `AbstractConfig`
      Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).

      After the inheritance, if a property on this `AbstractConfig` composition is replaced, it should not affect the inherited composition instance.

      Specified by:
        `inherit` in class `AbstractConfig<PillarSelectorConfig>`
      Parameters:
        `inheritedConfig` - never null
      Returns:
        this

    - #### copyConfig

          public PillarSelectorConfig copyConfig()

      Description copied from class: `AbstractConfig`
      Typically implemented by constructing a new instance and calling `AbstractConfig.inherit(AbstractConfig)` on it
      Specified by:
        `copyConfig` in class `AbstractConfig<PillarSelectorConfig>`
      Returns:
        new instance

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractConfig<PillarSelectorConfig>`